# tower_credential_type – Create, update, or destroy custom Ansible Tower credential type

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, update, or destroy Ansible Tower credential type. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | The description of the credential type to give more detail about it.
injectors - |  | Enter injectors using either JSON or YAML syntax. Refer to the Ansible Tower documentation for example syntax.
inputs - |  | Enter inputs using either JSON or YAML syntax. Refer to the Ansible Tower documentation for example syntax.

kind
-

Choices:
- ssh
- vault
- net
- scm
- cloud
- insights

The type of credential type being added. Note that only cloud and net can be used for creating credential types. Refer to the Ansible for more information.

name - / required |  | The name of the credential type.

state
-

Choices:
- present ←
- absent

Desired state of the resource.

tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.

validate_certs
boolean

Choices:
- no
- yes

Tower option to avoid certificates check.
aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - tower_credential_type:
        name: Nexus
        description: Credentials type for Nexus
        kind: cloud
        inputs: "{{ lookup('file', 'tower_credential_inputs_nexus.json') }}"
        injectors: {'extra_vars': {'nexus_credential': 'test' }}
        state: present
        validate_certs: false

    - tower_credential_type:
        name: Nexus
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adrien Fleury (@fleu42)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.